POST api/medistreamprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "3519f22b-c7df-4875-82cb-291ec4681b39",
"program_id": "f4ef016a-eb87-43ea-9e66-d05daa5bb6bf",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "fdbcff70-8cb7-43ba-b69c-5aa143ac48e0",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>3519f22b-c7df-4875-82cb-291ec4681b39</id> <medistream_program_step_type_id>fdbcff70-8cb7-43ba-b69c-5aa143ac48e0</medistream_program_step_type_id> <name>sample string 4</name> <program_id>f4ef016a-eb87-43ea-9e66-d05daa5bb6bf</program_id> </medistream_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"affad36c-268b-479f-a985-71d7b2617c9d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">affad36c-268b-479f-a985-71d7b2617c9d</guid>